CALIBRE-DEBUG(1)

NAME
calibre-debug - calibre-debug

calibre-debug [seçenekler]

Various command line interfaces useful for debugging calibre. With no options, this command starts an embedded Python interpreter. You can also run the main calibre GUI, the calibre viewer and the calibre editor in debug mode.

It also contains interfaces to various bits of calibre that do not have dedicated command line tools, such as font subsetting, the e-book diff tool and so on.

You can also use calibre-debug to run standalone scripts. To do that use it like this: calibre-debug myscript.py -- --option1 --option2 file1 file2 ...

Everything after the -- is passed to the script.

Whenever you pass arguments to calibre-debug that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

[SEÇENEKLER]

--add-simple-plugin
    Basit bir eklenti ekleyin (mesela sadece bir .py dosyası olan). Eklenti kodunu içeren py dosyasının konumunu belirtin.

--command, -c
    Python kodunu çalıştır

--debug-device-driver, -d
    Cihaz tarama hata ayıklama çıktısı

--default-programs
    Calibre'yi Varsayılan Windows Programlarına ekle(çıkart) --default-programs = (register|unregister)

--diff
    Calibre fark aracını çalıştır. Mesela: Calibre-debug --diff dosya1 dosya2

--edit-book, -t
    Calibre "Kitap Düzenleme" aracını hata ayıklama kipinde başlat.

--exec-file, -e
    Dosyadaki Python kodunu çalıştır

--explode-book, -x
    Explode the book into the specified directory. Usage: -x file.epub output_dir Exports the book as a collection of HTML files and metadata, which you can edit using standard HTML editing tools. Works with EPUB, AZW3, HTMLZ and DOCX files.

--export-all-calibre-data
    Export all calibre data (books/settings/plugins). Normally, you will be asked for the export dir and the libraries to export. You can also specify them as command line arguments to skip the questions. Use absolute paths for the export directory and libraries. The special keyword "all" can be used to export all libraries.

--gui, -g
    Arayüzü hata ayıklama etkin olara çalıştır. Hata çıktısı stdout ve stderr üzerine yazılır.

--gui-debug
    Arayüzü belirtilen konuma günlük kaydı yapan bir hata ayıklama konsolu ile çalıştır. Sadece iç kullanım içindir. Arayüzü hata ayıklama kipinde çalıştırma için -g seçeneğini kullanın

--help, -h
    bu yardım iletisini göster ve çık

--implode-book, -i
    Implode a previously exploded book. Usage: -i output_dir file.epub Imports the book from the files in output_dir which must have been created by a previous call to --explode-book. Be sure to specify the same file type as was used when exploding.

--import-calibre-data
    Önceden dışa aktarılmış Calibre verisini içe aktar

--inspect-mobi, -m
    Belritilen konumlardaki MOBI dosyalarını denetleyin

--paths
    Calibre ortamını kurmak için zorunlu olan konumların çıktısını ver

--reinitialize-db
    Belirtilen konumdaki Calibre sqlite veritabanını yeniden başlatın. Veritabanı bozulmalarından kurtarmak için yararlıdır.

--run-plugin, -r
    Bir komut satırı arayüzü sunan bir eklentiyi çalıştır. Mesela: Calibre-debug -r "Add Books" --file1 --option1 -- işareti sonrasındaki her şey eklentiye argüman olarak geçirilir.

--shutdown-running-calibre, -s
    Çalışmakta olan bir Calibre oturumu varsa kapanmasını sağlar. Devam etmekte olan işlemler olması halinde uyarı vermeksizin kapatılacağı için dikkatle kullanınız.

--subset-font, -f
    Belirtilen yazı tipini alt kümele. Bu seçenekten sonra -- kullanarak seçeneği yazı tipi alt kümeleme programına geçirebilirsiniz.

--test-build
    Derlemede ikili modülleri dene

--version
    programın sürüm numarasını göster ve çık

--viewer, -w
    E-kitap görüntüleyiciyi hata ayıklama kipinde çalıştır

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal